/*!
 * \file 	fila.h
 * Cabecalho para arquivo fonte fila.c.
   Este arquivo contem os prototipos das
   funcoes do modulo da fila e toda parte
   estatica dos dados.
 
 *  \brief      Define TAD estatico da fila.
 *  \version    0.0.1
 *  \date       05/04/2012 08:50:02 PM
 *  \author     Alessandro Elias, ae11@inf.ufpr.br
 *  \author		Welton Pereira Martins, wpm11@inf.ufpr.br
 */

#ifndef __FILA_H__
#define __FILA_H__      1

#include "mycommdef.h"

/*! Define a quantidade maxima  de elementos da fila. */
#define TamMax  31		

typedef int TipoAluno;		/*!< Define TipoAluno como int, é o tipo dos elementos da fila. */

/*!
 * \brief   Estrutura da fila.
 */
struct TipoFila{ 
	TipoAluno vetor[TamMax];  	/*!< Vetor do TipoAluno (int) tamanho maximo \sa TamMax. */
	int Frente;                     /*!< indices que marcam o começo da fila. */
        int Final;		        /*!< indices que marcam o final da fila. */
 };

/* prototipo das funcoes */
bool 		InicFila(struct TipoFila*);
int		VaziaFila(struct TipoFila*);
void		Enfileira(TipoAluno, struct TipoFila*);
void		ImprimeFila(struct TipoFila*);
TipoAluno 	Desinfileira(/*TipoAluno,*/ struct TipoFila*);

#endif /* __FILA_H__ */
